/*
 * Kosmos.
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package hu.midori.kosmos.server.util;

import java.io.IOException;

import org.apache.commons.httpclient.HttpException;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.webdav.lib.WebdavResource;

/**
 * Utility methods for WebDAV management.
 * 
 * @author <a href="mailto:aron.gombas@midori.hu">Aron Gombas</a>
 * @version $Id$
 */
public class WebdavUtils {
    private static Log log = LogFactory.getLog(WebdavUtils.class);

    /** This class should never be instantiated. */
    protected WebdavUtils() { }
    
    /** Writes the children of a given resources to the log. */
    public static void dumpResourceChildren(WebdavResource resource) throws HttpException, IOException {
	    String resourceNames[] = resource.getChildResources().list();
	    log.info(String.format("URL: %s, path: %s, %d children", resource.getHttpURL(), resource.getPath(), resourceNames.length));
	    for(int i = 0; i < resourceNames.length; i++)
	    	log.info(String.format("  %d: %s", i, resourceNames[i]));
    }
}
