/*
 * Kosmos.
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package hu.midori.kosmos.server;

import hu.midori.kosmos.AbstractKosmosTest;
import hu.midori.kosmos.model.util.ZoomableImageLocator;
import hu.midori.kosmos.server.store.MockStaticContentStore;

import org.apache.commons.lang.StringUtils;
import org.springframework.mock.web.MockServletContext;
import org.springframework.web.context.support.StaticWebApplicationContext;

/**
 * Each service unit test must extend this.
 *
 * @author <a href="mailto:aron.gombas@midori.hu">Aron Gombas</a>
 * @version $Id$
 */
public class AbstractKosmosServiceTest extends AbstractKosmosTest {
	/** Sets up the mock environment for the service. */
    protected static void setupServiceMockEnvironment(AbstractKosmosService service) {
    	// set up mock Spring application context
		StaticWebApplicationContext stupid = new StaticWebApplicationContext();
		stupid.setServletContext(new MockServletContext());        
        service.setApplicationContext(stupid);

        // set up mock store implementation
       	service.setStore(new MockStaticContentStore());
    }

	/** Tests a zoomable image locator. */
	protected static void testZoomableImageLocator(ZoomableImageLocator zoomableImageLocator) {
		assert zoomableImageLocator != null;
		
		assert !StringUtils.isBlank(zoomableImageLocator.getLoresUrl());
		assert !StringUtils.isBlank(zoomableImageLocator.getHiresUrl());
	}
}
